﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;

namespace SfDataGridFiltering
{
    public class Product : INotifyPropertyChanged
    {
        private string productName;

        public string ProductName
        {
            get { return productName; }
            set { productName = value; 
                OnPropertyChanged("ProductName"); }
        }
        private double _average;

        public double Average
        {
            get { return _average; }
            set { _average = value; OnPropertyChanged("Average"); }
        }

        private int productID;

        public int ProductID
        {
            get { return productID; }
            set 
            {
                productID = value;
                OnPropertyChanged("ProductID");
            }
        }
        private bool showCellIcon = true;

        public bool ShowCellIcon
        {
            get { return showCellIcon; }
            set { showCellIcon = value; }
        }
        
        private Sales salesDetails;

        public Sales SalesDetails
        {
            get { return salesDetails; }
            set { salesDetails = value; OnPropertyChanged("SalesDetails"); }
        }
        
        public event PropertyChangedEventHandler PropertyChanged;

        
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
